# Microsoft.Samples.DirectX.UtilityToolkit.MatchOptions Struct Reference

Options on how to match items. More...

List of all members.

## Public Attributes
MatchType | AdapterOrdinal
MatchType | DeviceType
MatchType | Windowed
MatchType | AdapterFormat
MatchType | VertexProcessing
MatchType | Resolution
MatchType | BackBufferFormat
MatchType | BackBufferCount
MatchType | MultiSample
MatchType | SwapEffect
MatchType | DepthFormat
MatchType | StencilFormat
MatchType | PresentFlags
MatchType | RefreshRate
MatchType | PresentInterval
MatchType | IsWindowed

## Detailed Description

Options on how to match items.

Definition at line 110 of file dxmutdata.cs.

## Member Data Documentation

MatchType Microsoft::Samples::DirectX::UtilityToolkit.MatchOptions::AdapterFormat

Definition at line 115 of file dxmutdata.cs.

MatchType Microsoft::Samples::DirectX::UtilityToolkit.MatchOptions::AdapterOrdinal

Definition at line 112 of file dxmutdata.cs.

MatchType Microsoft::Samples::DirectX::UtilityToolkit.MatchOptions::BackBufferCount

Definition at line 119 of file dxmutdata.cs.

MatchType Microsoft::Samples::DirectX::UtilityToolkit.MatchOptions::BackBufferFormat

Definition at line 118 of file dxmutdata.cs.

MatchType Microsoft::Samples::DirectX::UtilityToolkit.MatchOptions::DepthFormat

Definition at line 122 of file dxmutdata.cs.

MatchType Microsoft::Samples::DirectX::UtilityToolkit.MatchOptions::DeviceType

Definition at line 113 of file dxmutdata.cs.

MatchType Microsoft.Samples.DirectX.UtilityToolkit.MatchOptions.IsWindowed

Definition at line 114 of file wdxmutdata.cs.

MatchType Microsoft::Samples::DirectX::UtilityToolkit.MatchOptions::MultiSample

Definition at line 120 of file dxmutdata.cs.

MatchType Microsoft::Samples::DirectX::UtilityToolkit.MatchOptions::PresentFlags

Definition at line 124 of file dxmutdata.cs.

MatchType Microsoft::Samples::DirectX::UtilityToolkit.MatchOptions::PresentInterval

Definition at line 126 of file dxmutdata.cs.

MatchType Microsoft::Samples::DirectX::UtilityToolkit.MatchOptions::RefreshRate

Definition at line 125 of file dxmutdata.cs.

MatchType Microsoft::Samples::DirectX::UtilityToolkit.MatchOptions::Resolution

Definition at line 117 of file dxmutdata.cs.

MatchType Microsoft::Samples::DirectX::UtilityToolkit.MatchOptions::StencilFormat

Definition at line 123 of file dxmutdata.cs.

MatchType Microsoft::Samples::DirectX::UtilityToolkit.MatchOptions::SwapEffect

Definition at line 121 of file dxmutdata.cs.

MatchType Microsoft::Samples::DirectX::UtilityToolkit.MatchOptions::VertexProcessing

Definition at line 116 of file dxmutdata.cs.

MatchType Microsoft::Samples::DirectX::UtilityToolkit.MatchOptions::Windowed

Definition at line 114 of file dxmutdata.cs.

The documentation for this struct was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutdata.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutdata.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutdata.cs